> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# List

GET https://api.icepanel.io/v1/landscapes/{landscapeId}/versions/{versionId}/diagrams

Reference: https://developer.icepanel.io/api-reference/diagrams/list

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `landscapeId` (string, required)
- `versionId` (string, required)

### Query parameters

- `filter` (DiagramFilter, optional)

## Response

### 200

OK

- `diagrams` (list of Diagram, required)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### DiagramFilter

- `empty` (boolean, optional) — Filter diagrams that contain no objects
- `handleId` (DiagramFilterHandleId, optional)
- `labels` (map from string to string, optional)
- `modelId` (string, optional)
- `name` (string, optional)
- `pinned` (boolean, optional)
- `status` (DiagramFilterStatus, optional)
- `type` (DiagramFilterType, optional)

### Diagram

- `commit` (double, required)
- `groupId` (string, required, nullable)
- `index` (double, required)
- `labels` (map from string to string, required)
- `modelId` (string, required) — model object id this object belongs to
- `name` (string, required)
- `parentId` (string, required, nullable)
- `pinned` (boolean, required)
- `status` (enum, required)
  - Allowed values: `current`
- `handleId` (string, required)
- `type` (enum, required)
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- `commentCount` (double, required)
- `connectionCount` (double, required)
- `createdAt` (datetime, required)
- `createdBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `createdById` (string, required)
- `id` (string, required)
- `landscapeId` (string, required)
- `objectCount` (DiagramObjectCount, required) — The number of objects on the diagram, counted by object type and shape
- `updatedAt` (datetime, required)
- `updatedBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `updatedById` (string, required)
- `version` (double, required)
- `versionId` (string, required)
- `description` (string, optional)
- `pinnedAt` (datetime, optional)
- `pinnedIndex` (double, optional)
- `zoomOverrides` (map from string to string, optional, nullable) — Custom zoom levels for specific model objects within the diagram. The key is the modelObjectId and the value is the diagram id.
- `deletedAt` (datetime, optional)
- `deletedBy` (enum, optional)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `deletedById` (string, optional)
- `latestEntityId` (string, optional)

### DiagramFilterHandleId

- string
- list of string

### DiagramFilterStatus

- enum
  - Allowed values: `current`
- list of enum
  - Allowed values: `current`

### DiagramFilterType

- enum
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`
- list of enum
  - Allowed values: `app-diagram`, `component-diagram`, `context-diagram`

### DiagramObjectCount

The number of objects on the diagram, counted by object type and shape

- `actor` (double, required)
- `app` (double, required)
- `component` (double, required)
- `group` (double, required)
- `store` (double, required)
- `system` (double, required)
- `area` (double, required)
- `box` (double, required)

## Examples

**Response**

```json
{
  "diagrams": [
    {
      "commit": 1.1,
      "groupId": "string",
      "index": 1.1,
      "labels": {},
      "modelId": "string",
      "name": "string",
      "parentId": "string",
      "pinned": true,
      "status": "current",
      "handleId": "string",
      "type": "app-diagram",
      "commentCount": 1.1,
      "connectionCount": 1.1,
      "createdAt": "2024-01-15T09:30:00Z",
      "createdBy": "user",
      "createdById": "string",
      "id": "string",
      "landscapeId": "string",
      "objectCount": {
        "actor": 1.1,
        "app": 1.1,
        "component": 1.1,
        "group": 1.1,
        "store": 1.1,
        "system": 1.1,
        "area": 1.1,
        "box": 1.1
      },
      "updatedAt": "2024-01-15T09:30:00Z",
      "updatedBy": "user",
      "updatedById": "string",
      "version": 1.1,
      "versionId": "string",
      "description": "string",
      "pinnedAt": "2024-01-15T09:30:00Z",
      "pinnedIndex": 1.1,
      "zoomOverrides": {},
      "deletedAt": "2024-01-15T09:30:00Z",
      "deletedBy": "user",
      "deletedById": "string",
      "latestEntityId": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/diagrams"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/diagrams"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/diagrams");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```